There are no items to select как исправить



Ученик

(88),
на голосовании



8 лет назад

В системном жестком диске С внизу системных папок стоял маленьки й файл вроде Boot и отправиль его Unloker-ом в корзину. В следуюшем запуске на черном экране комп пишет There are no items to select и ни на какие кнопки не реагирует и выбирать нечего тоже. Что делать?

Голосование за лучший ответ

Kent Hunter

Мастер

(1319)


8 лет назад

Ты дурак удалил загрузочный сектор винды, если чего то не знаешь лучше не трогай “Работает и нехуя трогать”, переустанавливай винду теперь долбаеб в следующий раз будешь умнее.

-_-

Оракул

(70372)


8 лет назад

винда какая? если 7ка то можно восстановить загрузчик с помощью установочного диска, там есть разные утилиты и для восстановления загрузки тоже

Edit: Further investigation shows that you should be calling ssetObj(i) if you want to get indexed items of your selection set.

I’d not worry about trying to get the count of the selection set anyway if you plan on iterating through it. A For Each should suffice to walk though it. One of the problems with going from VBA/VB6 to VB.NET is the temptation to use the same methodology, when it can sometimes be invalid (at times it can be excellent, but .NET is very capable). Here’s my entire class that I tested your problem with, just to show how I’m connecting to AutoCAD and interfacing with it.

Public Class frmMain

    Private acApp As AcadApplication
    Private polyList As List(Of String)
    Const acProgId As String = "AutoCAD.Application.17"

    <DllImport("User32.dll")> _
    Private Shared Function SetForegroundWindow(ByVal hWnd As IntPtr) As Boolean
    End Function

    Private Sub btnStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStart.Click
        Try
            acApp = DirectCast(Marshal.GetActiveObject(acProgId), AcadApplication)
        Catch
            Try
                Dim acType = Type.GetTypeFromProgID(acProgId)
                acApp = DirectCast(Activator.CreateInstance(acType), AcadApplication)
            Catch ex As Exception
                MsgBox("Unable to create AutoCAD application of type: " & acProgId)
            End Try
        End Try
    End Sub

    Private Sub btnSelect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelect.Click
        If acApp Is Nothing Then Return
        acApp.Visible = True

        Dim acDoc As AcadDocument = acApp.ActiveDocument

        ' Kill all existing selection sets
        While (acDoc.SelectionSets.Count > 0)
            acDoc.SelectionSets(0).Delete()
        End While

        Dim mySS As AcadSelectionSet = acDoc.SelectionSets.Add("ss")
        SetForegroundWindow(acApp.HWND)

        mySS.SelectOnScreen()
        polyList = New List(Of String)
        Dim numVertices As Integer
        For Each ent As AcadEntity In mySS
            If ent.ObjectName = "AcDbLWPolyline" Or
            ent.ObjectName = "AcDbPolyline" Then
                numVertices = (ent.Coordinates.Length) / 2
                polyList.Add(String.Format("{0}  {1} Vertices", ent.ObjectID, numVertices))
            End If
        Next

    End Sub
End Class

External COM methods like this are going to be slower than you’re used to seeing via VBA. Therefore it’s definitely worth diving into the in-process AutoCAD .NET stuff to see great performance.

0 Пользователей и 1 Гость просматривают эту тему.

  • 3 Ответов
  • 3442 Просмотров

У меня на главной статей путем обычного ихвывода не будет. Они в модуле. Поэтому у меня фраза на главной:
There are no Items to display. Как ее убрать, но ТОЛЬКО с главной? Спасибо.

А так?

<?php
if ($option == ‘com_frontpage’ )
{
 mosLoadModules ( ‘temadate’ );
} else {
 echo ‘<div>’.mosMainBody().'</div>’;
}
?>

вот что значит бездумный копи-паст :) даже сам не усмотрел

<?php
if (@$option=='com_frontpage' )
{
 mosLoadModules ( 'temadate' );  //first page
} else {
  echo '<div>'.mosMainBody().'</div>'; //inner page
}
?>

Надо @$option, а было @option

Будет все тип-топ, если Вы сначала выведете temadate, а потом, если выполняется условие, mosMainBody. Тогда все работает. Я уже проверил. Спасибо :)

Cant put some parts on?

I have the parts in my inventory, yet with some parts when i try to put them on i get this message. “There are no items to work with” please help!

Showing 115 of 23 comments

there is alot of them, ive been testing it. It seems to just happen with random parts.

I have the same issue and it drive me nuts. It is like I had place the parts somewhere and forgot about them. LOL

i have the issue with the front shock absorber, the front spring and the cap.

There is a spring Puller machine for putting the shock absorber together

Its ok I was going crazy trying to do it and found it by accident aha

ahh thx. Sorry, i didnt saw the machine after “running” the 5th time around the garage 😀

also is there something you need to do with the rims and wheels? it gives me the message again…… sorry

Yeah tire changer and then wheel balancer

Originally posted by TheNarwhalArmy:

also is there something you need to do with the rims and wheels? it gives me the message again…… sorry

you need to put the rim and tire together then balance the tire

Just grab the plazma cutter they can fix anything !

I know this is probobly a bug and there might be no way to fix it now, but now i did all that with the wheel changer and wheel balancer and it let me put 1 wheel on after trying for awhile, and now i cant put on the other XD.

Nevermind that, i used the wheel thing again on the same part and it worked, mabey it has a chance to fail?

Showing 115 of 23 comments

I figured out the answer while confirming a few behaviours of the mystery white box while writing the question. I’m posting and answering the question anyway since none of my searches turned up anything.


So it seems it’s the File Preview box: if you hit space in the ‘Open Files’ dialog with a file selected, a similar box gives you an enlarged preview of whatever file is selected.

In the ‘Save As’ dialog, however, you can’t select files (clicking just copies the file name), so it will always come up as ‘No items selected’ any time it comes up. While you can select folders in the Save As dialog, it doesn’t attempt to preview them and continues simply saying that nothing is selected.

Here’s a screen grab of it functioning by previewing the screen grab of itself not functioning:

enter image description here

Seems like it can never show anything other than ‘No items selected’ in the Save As dialog.

Добавить комментарий